<template>    
  <div>
    <!-- librería para SEO-->
    <vue-headful
            title="TAbout · Hack a Music"
            description="Web de referencia sobre música"
        />
    <H1>ABOUT</H1>
      <!-- el primer pictures viene dado de data() -->
      <!-- :pic viene de Pictures.vue -->
      <dataabout :data="dataabout" v-on:seeAlert="nameAbout" />
  </div>
</template>

<script>
import vueHeadful from 'vue-headful';
import dataabout from '@/components/AboutCustom.vue';

export default {
    name:'About',
    components: {
        dataabout,
    },
    data(){
        return {
            dataabout: [
                { 
                    name: 'Axios',
                    img: 'https://www.luisllamas.es/wp-content/uploads/2019/05/axios.png', 
                    description:'Axios es un cliente HTTP basado en Promesas para Javascript, el cual puede ser utilizado tanto en tu aplicación Front-end, como en el Back-end con Nodejs. Utilizando Axios, es muy sencillo enviar peticiones a endpoints REST y realizar operaciones CRUD.',
                    url:'https://www.npmjs.com/package/axios'
                },
                { 
                    name: 'SweetAlert2',
                    img: 'https://cdn.mynotepaper.com/wp-content/uploads/2019/08/04215539/sweetalert2-modal-notification-example-in-vue-js.png', 
                    description:'asdf',
                    url:'https://www.npmjs.com/package/vue-headful'
                },
                { 
                    name: 'Vue.js',
                    img: 'https://www.luisllamas.es/wp-content/uploads/2019/01/vue-cli-ui.png', 
                    description:'Vue.js es un marco JavaScript de código abierto modelo-vista-vista-modelo para construir interfaces de usuario y aplicaciones de una sola página. Fue creado por Evan You, y lo mantienen él y el resto de los miembros activos del equipo central provenientes de varias compañías como Netlify y Netguru',
                    url:'https://es.vuejs.org/v2/guide/'
                },
                { 
                    name: 'Vue-headful',
                    img: 'https://miro.medium.com/max/3840/1*BusGLY26UhlrCXY4as38YA.jpeg', 
                    description:'vue-headful permite establecer el título y varias metaetiquetas de su documento desde cualquier vista de Vue.js. vue-headful tiene un pequeño contenedor alrededor de Headful y una biblioteca genérica para establecer metaetiquetas con JavaScript.',
                    url:'https://www.npmjs.com/package/vue-headful'
                }
            ]

        }
    },
    methods: {
        // creamos la función que se dispara cuando la vista reciba el evento
        // aqui le ponemos la logica de lo que queremos que haga
        nameAbout(index) {
            let statueName = this.dataabout[index].name;
            alert('Nombre: ' + statueName)
        }
    }
}
</script>

<style scoped>

</style>